Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766791 - autotools-multilib.eclass revdeps stabilisation, cleanup and eclass last-rites
Summary: autotools-multilib.eclass revdeps stabilisation, cleanup and eclass last-rites
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Multilib team
URL: http://qa-reports.gentoo.org/output/e...
Whiteboard:
Keywords:
Depends on: 763477 766192 768576
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-01-24 01:43 UTC by Andreas Sturmlechner
Modified: 2021-04-10 22:00 UTC (History)
8 users (show)

See Also:
Package list:
media-libs/opencore-amr-0.1.5-r1 amd64 arm ppc ppc64 sparc x86 media-libs/libfame-0.9.1-r3 amd64 arm ppc ppc64 sparc x86 media-libs/libmodplug-0.8.9.0-r1 media-libs/gavl-1.4.0-r2 amd64 arm64 ppc x86 media-libs/libiec61883-1.2.0-r2 media-libs/libmms-0.6.4-r1 amd64 ppc ppc64 sparc x86 dev-libs/hidapi-0.8.0_rc1_p20140719-r1 amd64 x86 dev-libs/liboil-0.3.17-r3 amd64 arm ppc ppc64 sparc x86 dev-libs/dbus-c++-0.9.0-r4 amd64 x86 x11-themes/gtk-engines-unico-1.0.3_pre20140109-r1 amd64 x86
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-01-24 01:43:58 UTC
In preparation, let's give it a few days.
Comment 1 Andreas Sturmlechner gentoo-dev 2021-01-29 19:21:10 UTC
30 or 60 days for eclass last-rites?
Comment 2 Sam James archtester gentoo-dev Security 2021-01-29 20:53:41 UTC
(In reply to Andreas Sturmlechner from comment #1)
> 30 or 60 days for eclass last-rites?

https://devmanual.gentoo.org/eclass-writing/#removing-eclasses reckons 30, but depends on if anyone is willing to do a full survey of overlays ;)
Comment 3 Rolf Eike Beer 2021-01-29 21:23:08 UTC
sparc stable
Comment 4 Agostino Sarubbo gentoo-dev 2021-02-01 15:07:44 UTC
amd64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2021-02-19 17:55:21 UTC
x86 stable
Comment 6 Larry the Git Cow gentoo-dev 2021-02-24 22:40:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb6506cebe3615187d42c60d5a199732bd9ba360

commit cb6506cebe3615187d42c60d5a199732bd9ba360
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-24 21:38:59 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-24 22:39:47 +0000

    x11-themes/gtk-engines-unico: Drop 1.0.3_pre20140109, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../gtk-engines-unico-1.0.3_pre20140109.ebuild     | 39 ----------------------
 1 file changed, 39 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=533c59387c86d1973ec4ecbaa720830586f26426

commit 533c59387c86d1973ec4ecbaa720830586f26426
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-24 21:35:33 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-24 22:39:47 +0000

    dev-libs/hidapi: Drop 0.8.0_rc1_p20140719 (r0), EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-libs/hidapi/hidapi-0.8.0_rc1_p20140719.ebuild | 77 -----------------------
 1 file changed, 77 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=193ee5c1fbb0ed6ee6b3fe85b4c251a2cea3846a

commit 193ee5c1fbb0ed6ee6b3fe85b4c251a2cea3846a
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-24 21:34:52 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-24 22:39:46 +0000

    dev-libs/dbus-c++: Drop 0.9.0-r3, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-libs/dbus-c++/dbus-c++-0.9.0-r3.ebuild | 64 ------------------------------
 1 file changed, 64 deletions(-)
Comment 7 Sam James archtester gentoo-dev Security 2021-02-24 23:07:45 UTC
arm64 done
Comment 8 Sam James archtester gentoo-dev Security 2021-02-24 23:25:04 UTC
arm done
Comment 9 Sam James archtester gentoo-dev Security 2021-02-24 23:49:40 UTC
ppc64 done
Comment 10 Sam James archtester gentoo-dev Security 2021-02-24 23:53:21 UTC
ppc done

all arches done
Comment 11 Andreas Sturmlechner gentoo-dev 2021-02-25 07:50:58 UTC
That leaves only dev-libs/udis86 now.
Comment 12 Larry the Git Cow gentoo-dev 2021-02-25 08:06:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d4ad2cb6de76d45b5997c750477fc588acba638

commit 4d4ad2cb6de76d45b5997c750477fc588acba638
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:05:02 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:28 +0000

    dev-libs/liboil: Drop 0.3.17-r2, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-libs/liboil/liboil-0.3.17-r2.ebuild | 55 ---------------------------------
 1 file changed, 55 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4101dcfa4de16edfd50cd2ccbd17e77bb51ed805

commit 4101dcfa4de16edfd50cd2ccbd17e77bb51ed805
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:04:31 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:28 +0000

    media-libs/libmms: Drop 0.6.4 (r0), EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/libmms/libmms-0.6.4.ebuild | 23 -----------------------
 1 file changed, 23 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d09bfec4b09e1709bc9da70df05b2274cc13f1c2

commit d09bfec4b09e1709bc9da70df05b2274cc13f1c2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:04:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:28 +0000

    media-libs/libiec61883: Drop 1.2.0-r1, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/libiec61883/libiec61883-1.2.0-r1.ebuild | 29 ----------------------
 1 file changed, 29 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c74eda943b7fefd9f31b6cba2ef4bfecde4c810

commit 1c74eda943b7fefd9f31b6cba2ef4bfecde4c810
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:03:34 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:28 +0000

    media-libs/gavl: Drop 1.4.0-r1, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/gavl/gavl-1.4.0-r1.ebuild | 50 ------------------------------------
 1 file changed, 50 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a422c095cf680c5e573963efaa3419992221617c

commit a422c095cf680c5e573963efaa3419992221617c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:03:06 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:27 +0000

    media-libs/libmodplug: Drop 0.8.9.0 (r0), EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/libmodplug/libmodplug-0.8.9.0.ebuild | 26 -------------------------
 1 file changed, 26 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b1be4fbd44d9d294c0bb6ae3d5b78971339f84f

commit 8b1be4fbd44d9d294c0bb6ae3d5b78971339f84f
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:02:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:27 +0000

    media-libs/libfame: Drop 0.9.1-r2, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/libfame/libfame-0.9.1-r2.ebuild | 43 ------------------------------
 1 file changed, 43 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d0a70184253efeea4534e1fca4323ad74d26d98

commit 9d0a70184253efeea4534e1fca4323ad74d26d98
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-02-25 08:01:34 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-02-25 08:06:27 +0000

    media-libs/opencore-amr: Drop 0.1.3-r1, EAPI5--
    
    Bug: https://bugs.gentoo.org/766791
    Package-Manager: Portage-3.0.15, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/opencore-amr/Manifest                     |  1 -
 media-libs/opencore-amr/opencore-amr-0.1.3-r1.ebuild | 16 ----------------
 2 files changed, 17 deletions(-)
Comment 13 Larry the Git Cow gentoo-dev 2021-03-12 15:37:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b46ec9055a85dadd5d6047aca6935a9400acf697

commit b46ec9055a85dadd5d6047aca6935a9400acf697
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-03-12 15:36:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-03-12 15:37:21 +0000

    autotools-multilib.eclass: Mark @DEAD for removal
    
    Closes: https://bugs.gentoo.org/766791
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 eclass/autotools-multilib.eclass | 1 +
 1 file changed, 1 insertion(+)
Comment 14 Larry the Git Cow gentoo-dev 2021-04-10 22:00:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2b1888e098e30d520ec5b7e7f9e6cc7e7e85135

commit f2b1888e098e30d520ec5b7e7f9e6cc7e7e85135
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-04-10 22:00:40 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-10 22:00:40 +0000

    autotools-multilib.eclass: Remove last-rited eclass
    
    Bug: https://bugs.gentoo.org/766791
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 eclass/autotools-multilib.eclass | 93 ----------------------------------------
 1 file changed, 93 deletions(-)